export const recognitionsKeys = {
  all: () => ['recognitions'],
  list: () => [...recognitionsKeys.all(), 'list'],
  allDetail: () => [...recognitionsKeys.all(), 'detail'],
  detail: (id: number | string) => [
    ...recognitionsKeys.allDetail(),
    Number(id),
  ],
  allIdeas: () => [...recognitionsKeys.all(), 'ideas'],
  ideas: (userId: number | string) => [
    ...recognitionsKeys.allIdeas(),
    Number(userId),
  ],
  ideaDetail: (userId: number | string, ideaId: number | string) => [
    ...recognitionsKeys.ideas(userId),
    Number(ideaId),
  ],
  plants: () => [...recognitionsKeys.all(), 'plants'],
  employeeArea: (id: number | string) => [
    ...recognitionsKeys.all(),
    'employeeArea',
    Number(id),
  ],
  employeeSupervisor: (id: number | string) => [
    ...recognitionsKeys.all(),
    'employeeSupervisor',
    Number(id),
  ],
  ideaArea: (id: number | string) => [
    ...recognitionsKeys.all(),
    'ideaArea',
    Number(id),
  ],
  filterArea: (id: number | string) => [
    ...recognitionsKeys.all(),
    'filterArea',
    Number(id),
  ],
  faqs: () => [...recognitionsKeys.all(), 'FAQs'],
  products: () => [...recognitionsKeys.all(), 'products'],
  sones: (id: number | string) => [
    ...recognitionsKeys.all(),
    'sones',
    Number(id),
  ],
  files: (folioId: number | string) => [
    ...recognitionsKeys.all(),
    'files',
    Number(folioId),
  ],
  employees: (folioId: number | string) => [
    ...recognitionsKeys.all(),
    'employees',
    Number(folioId),
  ],
  approverId: (folioId: number | string) => [
    ...recognitionsKeys.all(),
    'approver',
    Number(folioId),
  ],
  ideasApprovers: (userId: number | string) => [
    ...recognitionsKeys.all(),
    'ideasApprovers',
    Number(userId),
  ],
};
